%define with_maven 1

Name:           jettison
Version:        1.3.2
Release:        %mkrel 2
Summary:        A JSON StAX implementation
Group:          Development/Java
License:        ASL 2.0
URL:            http://jettison.codehaus.org/
Source0:        http://repo1.maven.org/maven2/org/codehaus/jettison/jettison/%{version}/jettison-%{version}-sources.jar
# https://svn.codehaus.org/jettison/tags/jettison-1.2/pom.xml
Source1:        http://repo1.maven.org/maven2/org/codehaus/jettison/jettison/%{version}/jettison-%{version}.pom

# ant build scripts with OSGi manifest
Source2:        jettison-1.3.1-autogeneratedfiles.tar.gz
# remove wagon-webdav extension
# build against woodstox-core
Patch0:         jettison-1.3.2-pom.patch

BuildArch:      noarch

BuildRequires:     java-devel >= 0:1.6.0
BuildRequires:     jpackage-utils

%if %with_maven
BuildRequires:     bea-stax-api
BuildRequires:     codehaus-parent
BuildRequires:     junit
BuildRequires:     woodstox-core

BuildRequires:     maven
BuildRequires:     maven-compiler-plugin
BuildRequires:     maven-javadoc-plugin
BuildRequires:     maven-plugin-bundle
BuildRequires:     maven-project-info-reports-plugin
BuildRequires:     maven-release-plugin
BuildRequires:     maven-surefire-plugin
BuildRequires:     maven-ant-plugin
%endif

Requires:          java >= 0:1.6.0
Requires:          jpackage-utils

%description
Jettison is a collection of Java APIs (like STaX and DOM) which read
and write JSON. This allows nearly transparent enablement of JSON based
web services in services frameworks like CXF or XML serialization
frameworks like XStream.

%package javadoc
Summary:           Javadocs for jettison
Group:             Development/Java
Requires:          %{name} = %{version}-%{release}
Requires:          jpackage-utils

%description javadoc
jettison development documentation.

%prep
%setup -q -c

cp -pr %SOURCE1 pom.xml
%patch0 -p1

%if %with_maven
mkdir -p src/main/java
mv org src/main/java/
mkdir -p src/main/resources
cp -p META-INF/LICENSE LICENSE
mv META-INF src/main/resources/
%else
# TODO tar -xf %SOURCE2
mkdir target doc
%endif

%build

%if %with_maven
mvn-rpmbuild -e ant:ant install javadoc:aggregate
%else
javac -d target `find -name '*.java'`
jar -cf %{name}-%{version}.jar -C target .
javadoc -author -version -public -d doc `find . -name '*.java'`
%endif

%install

# jar
mkdir -p %{buildroot}%{_javadir}
%if %with_maven
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%else
install -m644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%endif
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
%if %with_maven
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%else
cp -rp doc/* %{buildroot}%{_javadocdir}/%{name}
%endif

%files
%doc LICENSE
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 355333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 pterjan <pterjan> 1.3.2-1.mga3
+ Revision: 334396
- Build against woodstox-core

* Thu Jan 26 2012 gil <gil> 1.3.1-1.mga3
+ Revision: 202018
- update to 1.3.1

* Sat Dec 03 2011 gil <gil> 1.3-1.mga2
+ Revision: 175619
- update to 1.3

* Sat Dec 03 2011 gil <gil> 1.2-5.mga2
+ Revision: 175594
- added OSGi support
  generated ant build scripts

* Thu Dec 01 2011 gil <gil> 1.2-4.mga2
+ Revision: 175026
- add maven support

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-3.mga1
+ Revision: 92540
- Rebuild after bootstrapping
- imported package jettison

